Note: This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support.
GET https://api.ap1.datadoghq.com/api/v2/model-lab-api/project-facet-keyshttps://api.ap2.datadoghq.com/api/v2/model-lab-api/project-facet-keyshttps://api.datadoghq.eu/api/v2/model-lab-api/project-facet-keyshttps://api.ddog-gov.com/api/v2/model-lab-api/project-facet-keyshttps://api.us2.ddog-gov.com/api/v2/model-lab-api/project-facet-keyshttps://api.datadoghq.com/api/v2/model-lab-api/project-facet-keyshttps://api.us3.datadoghq.com/api/v2/model-lab-api/project-facet-keyshttps://api.us5.datadoghq.com/api/v2/model-lab-api/project-facet-keys
Overview
List all available facet keys for filtering Model Lab projects.
Response
OK
Response containing available facet keys.
Expand All
A facet keys JSON:API resource object.
Available facet key names for filtering resources.
The list of available metric facet keys.
The list of available parameter facet keys.
The list of available tag facet keys.
The unique identifier of the facet keys resource.
The JSON:API type for a facet keys resource.
Allowed enum values: facet_keys
{
"data": {
"attributes": {
"metrics": [
"accuracy"
],
"parameters": [
"learning_rate"
],
"tags": [
"model"
]
},
"id": "1",
"type": "facet_keys"
}
}
Too many requests
{
"errors": [
"Bad Request"
]
}
Internal Server Error
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}
Code Example
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/model-lab-api/project-facet-keys" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"